QUAKE2-SERVER(6)

NAME
quake2-server - classic first person shooter (dedicated server)

SYNOPSIS
quake2-server [WRAPPER-OPTIONS] [ENGINE-OPTIONS] [ENGINE-COMMANDS]...

DESCRIPTION
This manual page documents briefly the quake2-server command.

Quake II is a popular first-person shooter game, released in 1997 by iD Software. This wrapper script will launch the Quake II engine. The game data needs to be installed independently using the 'game-data-packager' program, and by default it will be looked for at /usr/share/games/quake2 and /usr/share/games/quake2-demo.

This wrapper script accepts a few GNU-style options. Any further arguments are passed to the engine unmodified. Consult the engine documentation for full details, but most engines support a syntax where you can give console commands by prefixing with a plus sign.

In addition to any arguments on the command line, the quake2-server script automatically passes the arguments "+set dedicated 1" to the engine.

OPTIONS
These options are accepted for WRAPPER-OPTIONS in the synopsis.

-h, --help
    Show summary of options.

-v, --version
    Show version of program.

--engine=ENGINE
    Select a non-default Quake II engine binary

--demo
    Use the demo data, even if you have both the demo and the full version installed

EXAMPLES
Run a server to play the demo in cooperative mode: quake2-server --demo +map demo1 +set coop 1

Run a deathmatch server:
    quake2-server +map q2dm1 +set deathmatch 1

Use the default server configuration in /etc/quake2-server/debian_server.cfg:
    quake2-server +exec debian_server.cfg

SEE ALSO
quake2(6), game-data-packager(6).

AUTHOR
This manual page, and the quake2-server wrapper script, were written by Simon McVittie <smcv@debian.org>, for the Debian project (and may be used by others). They are based on the Quake packaging by David Banks and Simon McVittie.